What are ZoneAlarm system requirements?

The current system requirement for ZoneAlarm Antivirus and firewall products are:

Anti-Phishing Add-on

  • Google Chrome all versions

Microsoft® Windows® 8.1, 10 All versions

  • 32-bit / 64-bit, 2 GB RAM
  • 2 GHz or faster processor
  • 1.5GB of available hard-disk space

Microsoft® Windows 7 SP1 All versions

  • 32-bit / 64-bit, 2 GB RAM
  • 2 GHz or faster processor
  • 1.5GB of available hard-disk space

Microsoft .NET framework

  • Version 3.5 or later
  • Note: If a supported Microsoft .NET Framework is not installed, it will be installed with ZoneAlarm 2017.

If you have any questions please contact our Live Technical support staff who are available 24x7 (except holidays)

Click Here to contact a Live Support Agent.

Have more questions? Submit a request

0 Comments

Article is closed for comments.
Trusted by nearly 100 Million users worldwide